> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Environments

> List environments for a project with resolved per-component deploy config.



## OpenAPI

````yaml GET /orgs/{org_id}/projects/{project_id}/envs
openapi: 3.1.0
info:
  title: Timbal Platform API
  description: Public API documentation for the Timbal platform
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.timbal.ai
    description: Production
  - url: https://api.dev.timbal.ai
    description: Development
security: []
tags:
  - name: ace
    description: Action Control Engine (ACE) operations
  - name: alarms
    description: Metric series and threshold alarms
  - name: analytics
    description: Org and project analytics
  - name: billing
    description: Subscriptions, usage, and payment-related operations
  - name: channels
    description: Delivery channels alarms notify through
  - name: content
    description: Re-sign stored content URLs
  - name: files
    description: File operations
  - name: iam
    description: IAM — actions, roles, users, and authorization introspection
  - name: k2
    description: Knowledge Bases v2 operations
  - name: orgs
    description: Organization operations
  - name: projects
    description: Project operations
  - name: runs
    description: Execution operations
  - name: templates
    description: Public project template catalog
  - name: users
    description: Authenticated user profile
paths:
  /orgs/{org_id}/projects/{project_id}/envs:
    get:
      tags:
        - projects
      description: >-
        List environments for a project with resolved per-component deploy
        config.
      operationId: handler
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Environments listed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListEnvsResBody'
        '403':
          description: Insufficient permissions
      security:
        - bearer_auth: []
components:
  schemas:
    ListEnvsResBody:
      type: object
      required:
        - envs
      properties:
        envs:
          type: array
          items:
            $ref: '#/components/schemas/ProjectEnv'
    ProjectEnv:
      type: object
      required:
        - id
        - name
        - color
        - subdomain
        - components
        - created_at
        - updated_at
      properties:
        branch:
          type:
            - string
            - 'null'
        color:
          type: string
        components:
          type: array
          items:
            $ref: '#/components/schemas/ProjectEnvComponent'
          description: Effective per-component deploy configuration after resolution.
        created_at:
          type: string
          format: date-time
        custom_domain: {}
        description:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        name:
          type: string
        subdomain:
          type: string
        updated_at:
          type: string
          format: date-time
    ProjectEnvComponent:
      type: object
      description: Effective deploy configuration for one component of an environment.
      required:
        - component
        - type
        - deploy_mode
      properties:
        component:
          type: string
          description: |-
            `"api"` or the workforce `OrgsApps.id` as a string. This is the key
            to use in `PATCH .../config` `components`.
        cpu:
          type:
            - integer
            - 'null'
          format: int32
          description: >-
            NULL unless the component deploys to ECS (resources only apply
            there).
        deploy_mode:
          type: string
        desired_count:
          type:
            - integer
            - 'null'
          format: int32
        ephemeral_storage:
          type:
            - integer
            - 'null'
          format: int32
        memory:
          type:
            - integer
            - 'null'
          format: int32
        name:
          type:
            - string
            - 'null'
        type:
          type: string
          description: '''api'' | ''agent'' | ''workflow'''
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Timbal API key. Obtain your API key from the Timbal platform settings.
        See [Authentication](/api-reference/authentication) for more
        information.

````